Retrieve abbreviated profile data for the banking UI
GET
/api/v1/profiles/lite_user_data
const url = 'https://core.example.com/api/v1/profiles/lite_user_data?currency=EUR';const options = {method: 'GET', headers: {'session-token': '<session-token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://core.example.com/api/v1/profiles/lite_user_data?currency=EUR' \ --header 'session-token: <session-token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”currency
string
Example
EURsegregated_account_id
integer
ID of a business account accessible to the current user
Responses
Section titled “ Responses ”Abbreviated profile including accounts
Media typeapplication/json
object
success
required
boolean
status
required
integer
object
object
profile
object
id
integer
email
string format: email
phone
string
name
string
surname
string
fullname
string
company_name
string
wallet_type
string
current_currency
string
kyc_status
string
wallet_pin_enabled
boolean
bank_accounts
Array
object
id
integer
value
string
currency
string
token
string
status
string
provider
string
swift_code
string
uk_sort_code
string
uk_account_number
string
approved
boolean
details
object
beneficiary_type
string
beneficiary_name
string
beneficiary_first_name
string
beneficiary_last_name
string
beneficiary_country
string
beneficiary_city
string
beneficiary_street
string
beneficiary_address
string
beneficiary_region
string
beneficiary_postalcode
string
beneficiary_bank
string
beneficiary_phone
string
beneficiary_email
string format: email
beneficiary_account_name
string
swift_code
string
corresponding_bank
string
corresponding_iban
string
corresponding_swift_code
string
corresponding_bank_country
string
corresponding_bank_address
string
account_number_compass
string
reference_code
string
key
additional properties
any
verified
boolean
paymentSystem
string
bank_address
string
bank_name
string
recipient_address
string
recipient_name
string
ref_code
string
account_holder
string
account_number
string
card_mask
string
card_id
integer
outer_id
string
bank_card_tokens
Array<string>
wallet
object
available
number format: double
key
additional properties
any
key
additional properties
any
Example
{ "success": true, "status": 200, "object": { "profile": { "bank_accounts": [ { "currency": "EUR", "status": "pending", "provider": "default", "details": { "beneficiary_type": "individual_stakeholder" } } ] } }}Authorization, validation, or business-rule error
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}